const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const { CleanWebpackPlugin } = require('clean-webpack-plugin');

const libraryName = 'ryt_accordion_lib';

module.exports = {
	plugins: [new CleanWebpackPlugin()],
	entry: `${path.resolve(__dirname, '../src')}/index.js`,
	devtool: 'eval-cheap-module-source-map',
	output: {
		path: path.resolve(__dirname, '../lib'),
		filename: `${libraryName}.js`,
		library: libraryName,
		libraryTarget: 'umd',
		umdNamedDefine: true,
	},
	module: {
		rules: [
			{
				test: /(\\.jsx|\\.js)$/,
				loader: 'babel-loader',
				exclude: /node_modules/,
			},
			{
				test: /\.(scss|css)$/,
				use: [
					'style-loader',
					{
						loader: 'css-loader',
						options: { sourceMap: true, importLoaders: 1 },
					},
					{ loader: 'sass-loader', options: { sourceMap: true } },
				],
			},
		],
	},
};
