const { merge } = require('webpack-merge');
const path = require('path');
const common = require('./webpack.common');

module.exports = merge(common, {
	mode: 'development',

	/**
	 * Devtool
	 *
	 * Control how source maps are generated.
	 */
	devtool: 'eval-cheap-module-source-map',

	devServer: {
		historyApiFallback: true,
		contentBase: path.resolve(__dirname, '/lib'),
		open: true,
		compress: true,
		inline: true,
		hot: true,
		port: 8080,
	},
});
